package com.neusoft.smart.pos.printer.persistent.mapper;

import com.neusoft.smart.pos.printer.persistent.domain.PrinterRuleAttribute;
import com.neusoft.smart.pos.printer.persistent.domain.PrinterRuleAttributeExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PrinterRuleAttributeMapper {
    int countByExample(PrinterRuleAttributeExample example);

    int deleteByExample(PrinterRuleAttributeExample example);

    int deleteByPrimaryKey(Long id);

    int insert(PrinterRuleAttribute record);

    int insertSelective(PrinterRuleAttribute record);

    List<PrinterRuleAttribute> selectByExample(PrinterRuleAttributeExample example);

    PrinterRuleAttribute selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") PrinterRuleAttribute record, @Param("example") PrinterRuleAttributeExample example);

    int updateByExample(@Param("record") PrinterRuleAttribute record, @Param("example") PrinterRuleAttributeExample example);

    int updateByPrimaryKeySelective(PrinterRuleAttribute record);

    int updateByPrimaryKey(PrinterRuleAttribute record);

    void batchInsert(@Param("items") List<PrinterRuleAttribute> items);
}